Subject: Re: gitster is getting back to normal, slowly

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 10 Oct 2008 08:54:15 -0700

Junio C Hamano <[email-masked]> wrote:
> I am back from a Japan trip to attend the one-year-after-funeral service
> for my stepfather and a vacation.  I did not plan to touch keyboard while
> in there but I ended up giving a 3-hour git talk to about two dozen git
> users (but none of the people I know from this list) and would-be users [*1*].

Welcome back.  ;-)
 
> I am going through my mailing list backlog, and it will probably be a few
> more days before I can fully catch up.  In the meantime, I've pulled from
> Shawn, who again did a wonderful job of being an interim maintainer [*2*],
> and pushed the result out, but I am afraind that my trees will lag behind
> his for a few more days.  If things go well, I expect to ask Shawn to stop
> applying patches at the end of Sunday and take it over from there.

Thanks.  I think I made two minor flubs; there's a git-svn commit with
an unwrapped commit message (0a1a1c8615 git-svn: call 'fatal' correctly)
and a "maint" topic branch was accidentally based on master.  It merged
to next that way, but I caught it and cherry-picked only the necessary
change into maint.

There is new content in my tree again today (just pushed there).
So we would still appreciate people tracking (and testing) my
branches for a bit.

I'll send out a "what's in" summary pair around Sunday to help ease
the transition for Junio, so he has a summary of what's where.

> *2* Thanks, Shawn.  Part of me is very much tempted to ask him being an
> interim maintainer for a few more weeks so that I can see how it feels
> like to be a contributor again, but I'd refrain from doing so ;-)

About 2 or 3 days into your absence I realized (again) how difficult
and time consuming your job of maintainer is.  I honestly do not know
how you do it, day in and day out, for as long as you have.

I think I've been tracking about 4-5 hours per day on git maintenance
lately.  Its a wonder you are able to even write patches.  My hat's
off to you, sir.  ;-)

Anyway, I'm more than happy to continue playing patch monkey for a
few weeks if you want to take a some time and just be a contributor
again.  I know you have a number of WIP branches that haven't been
able to move along... I've been skipping over them with Meta/RB. :-\

Either way we really should be thinking about freezing and rolling
a 1.6.0.3 soon-ish.

-- 
Shawn.